% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/directMt.R
\name{directMt}
\alias{directMt}
\title{Find the Posterior Under Model Mt}
\usage{
directMt(cobs, upper = 10000)
}
\arguments{
\item{cobs}{A vector of counts i.e. how many times each individual was
observed. This should exclude zeroes (if, for instance, we know an
individual exists a priori but it is not observed).}

\item{upper}{The maximum value of \code{N} for which a posterior probability is
calculated, i.e. where the posterior distribution is truncated. Note that
this must be \strong{greater than n}, the observed number of individuals.}
}
\value{
Returns a list of length 2 containing the posterior for \code{N}, and
  some summary statistics for this posterior.
}
\description{
Analytically calculates the posterior distribution for the true number of
individuals \code{N}, assuming model Mt (equal detection probabilities).
}
\examples{
data(cbutterfly, package="ctime")   # Craig's butterfly counts (included in package)
result = directMt(cbutterfly)
plot(result$Posterior[,2], result$Posterior[,1], type="s", xlim=c(200,1700))
c(result$Mean, result$CI)
}
\seealso{
\code{\link{fitMt}}
}
